Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.ejb
Class EJBAdapter

    java.lang.Object
      com.ejie.r01f.ejb.EJBAdapter

public class EJBAdapter
extends java.lang.Object

Adaptador de invocaciones para EJBs de entidad (CMP y BMP) IMPORTANTE!!! Utilizar esta clase solamente en ULTIMA INSTANCIA (si no queda mas remedio) ya que las invocaciones no son tipadas y los errores únicamente aparecen en tiempo de ejecución La mejor solución para llamar a EJBs es utilizar los BusinessDelegates

Method Summary
`static javax.ejb.EJBLocalObject` | `createLocalEJB(javax.ejb.EJBLocalHome localHome)` Crea una instancia de un ejb local llamando al metodo create() sin argumentos y devolviendo una referencia al interfaz remoto
`static javax.ejb.EJBLocalObject` | `createLocalEJB(javax.ejb.EJBLocalHome localHome, java.lang.Class[] ejbCreateArgsTypes, java.lang.Object[] ejbCreateArgsValues)` Crea una instancia local de un EJB llamando al metodo create(..) con argumentos y devolviendo una referencia al interfaz remoto
`static javax.ejb.EJBObject` | `createRemoteEJB(javax.ejb.EJBHome home)` Crea una instancia remota de un EJB llamando al metodo create() sin argumentos y devolviendo una referencia al interfaz remoto
`static javax.ejb.EJBObject` | `createRemoteEJB(javax.ejb.EJBHome home, java.lang.Class[] ejbCreateArgsTypes, java.lang.Object[] ejbCreateArgsValues)` Crea una instancia remota de un EJB llamando al metodo create(..) con argumentos y devolviendo una referencia al interfaz remoto
`static javax.ejb.EJBLocalObject` | `findLocalEJBByPrimaryKey(javax.ejb.EJBLocalHome localHome, java.lang.Object pk)` Obtiene una referencia a un EJB local que se encuentra en base a su primaryKey
`static javax.ejb.EJBLocalObject` | `findLocalEJBByPrimaryKey(javax.ejb.EJBLocalHome localHome, java.lang.Object pk, java.lang.String methodFinder)` Obtiene una referencia a un EJB local que se encuentra en base a su primaryKey
`static javax.ejb.EJBObject` | `findRemoteEJBByPrimaryKey(javax.ejb.EJBHome home, java.lang.Object pk)` Obtiene una referencia a un EJB remoto que se encuentra en base a su primaryKey
`static javax.ejb.EJBObject` | `findRemoteEJBByPrimaryKey(javax.ejb.EJBHome home, java.lang.Object pk, java.lang.String methodFinder)` Obtiene una referencia a un EJB remoto que se encuentra en base a su primaryKey
`static java.lang.Object` | `invokeLocalHomeMethod(javax.ejb.EJBLocalHome localHome, java.lang.String methodName, java.lang.Class[] argsTypes, java.lang.Object[] argsValues)` Invoca a un metodo del interfaz home local
`static java.lang.Object` | `invokeLocalMethod(javax.ejb.EJBLocalObject localObj, java.lang.String methodName, java.lang.Class[] argsTypes, java.lang.Object[] argsValues)` Invoca a un metodo del interfaz local
`static java.lang.Object` | `invokeRemoteHomeMethod(javax.ejb.EJBHome home, java.lang.String methodName, java.lang.Class[] argsTypes, java.lang.Object[] argsValues)` Invoca a un metodo del interfaz home remoto
`static java.lang.Object` | `invokeRemoteMethod(javax.ejb.EJBObject remoteObj, java.lang.String methodName, java.lang.Class[] argsTypes, java.lang.Object[] argsValues)` Invoca a un metodo del interfaz remoto del ejb

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createLocalEJB

    public static javax.ejb.EJBLocalObject createLocalEJB(javax.ejb.EJBLocalHome localHome)
                                                   throws java.lang.Throwable

  Crea una instancia de un ejb local llamando al metodo create() sin argumentos y devolviendo una referencia al interfaz remoto

  Parameters:
    `localHome` - Interfaz home local del EJB
  Returns:
    Una referencia al interfaz remoto recién creado
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### createLocalEJB

    public static javax.ejb.EJBLocalObject createLocalEJB(javax.ejb.EJBLocalHome localHome,
                                                          java.lang.Class[] ejbCreateArgsTypes,
                                                          java.lang.Object[] ejbCreateArgsValues)
                                                   throws java.lang.Throwable

  Crea una instancia local de un EJB llamando al metodo create(..) con argumentos y devolviendo una referencia al interfaz remoto

  Parameters:
    `localHome` - Interfaz home local del ejb
    `ejbCreateArgsTypes` - Array con los tipos (Class) de los argumentos del metodo create
    `ejbCreateArgsValues` - Array con los valores de los argumentos del metodo create
  Returns:
    Una referencia al interfaz remoto recién creado
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### createRemoteEJB

    public static javax.ejb.EJBObject createRemoteEJB(javax.ejb.EJBHome home)
                                               throws java.lang.Throwable

  Crea una instancia remota de un EJB llamando al metodo create() sin argumentos y devolviendo una referencia al interfaz remoto

  Parameters:
    `home` - Interfaz home remota del ejb
  Returns:
    Una referencia al interfaz remoto recién creado
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### createRemoteEJB

    public static javax.ejb.EJBObject createRemoteEJB(javax.ejb.EJBHome home,
                                                      java.lang.Class[] ejbCreateArgsTypes,
                                                      java.lang.Object[] ejbCreateArgsValues)
                                               throws java.lang.Throwable

  Crea una instancia remota de un EJB llamando al metodo create(..) con argumentos y devolviendo una referencia al interfaz remoto

  Parameters:
    `home` - Interfaz home remota del ejb
    `ejbCreateArgsTypes` - Array con los tipos (Class) de los argumentos del metodo create
    `ejbCreateArgsValues` - Array con los valores de los argumentos del metodo create
  Returns:
    Una referencia al interfaz remoto recién creado
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### findLocalEJBByPrimaryKey

    public static javax.ejb.EJBLocalObject findLocalEJBByPrimaryKey(javax.ejb.EJBLocalHome localHome,
                                                                    java.lang.Object pk,
                                                                    java.lang.String methodFinder)
                                                             throws java.lang.Throwable

  Obtiene una referencia a un EJB local que se encuentra en base a su primaryKey

  Parameters:
    `localHome` - Interfaz home local
    `pk` - clave primaria
    `methodFinder` - método finder de la clave primaria
  Returns:
    El interfaz home local
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### findRemoteEJBByPrimaryKey

    public static javax.ejb.EJBObject findRemoteEJBByPrimaryKey(javax.ejb.EJBHome home,
                                                                java.lang.Object pk,
                                                                java.lang.String methodFinder)
                                                         throws java.lang.Throwable

  Obtiene una referencia a un EJB remoto que se encuentra en base a su primaryKey

  Parameters:
    `home` - Interfaz home local
    `pk` - clave primaria
    `methodFinder` - método finder de la clave primaria
  Returns:
    El interfaz home remoto
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### findLocalEJBByPrimaryKey

    public static javax.ejb.EJBLocalObject findLocalEJBByPrimaryKey(javax.ejb.EJBLocalHome localHome,
                                                                    java.lang.Object pk)
                                                             throws java.lang.Throwable

  Obtiene una referencia a un EJB local que se encuentra en base a su primaryKey

  Parameters:
    `localHome` - Interfaz home local
    `pk` - clave primaria
  Returns:
    El interfaz home local
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### findRemoteEJBByPrimaryKey

    public static javax.ejb.EJBObject findRemoteEJBByPrimaryKey(javax.ejb.EJBHome home,
                                                                java.lang.Object pk)
                                                         throws java.lang.Throwable

  Obtiene una referencia a un EJB remoto que se encuentra en base a su primaryKey

  Parameters:
    `home` - Interfaz home local
    `pk` - clave primaria
  Returns:
    El interfaz home remoto
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### invokeLocalHomeMethod

    public static java.lang.Object invokeLocalHomeMethod(javax.ejb.EJBLocalHome localHome,
                                                         java.lang.String methodName,
                                                         java.lang.Class[] argsTypes,
                                                         java.lang.Object[] argsValues)
                                                  throws java.lang.Throwable

  Invoca a un metodo del interfaz home local

  Parameters:
    `localHome` - Interfaz home local
    `methodName` - Nombre del metodo a invocar
    `argsTypes` - Array con los tipos (Class) de los argumentos del metodo create
    `argsValues` - Array con los valores de los argumentos del metodo create
  Returns:
    El objeto devuelto tras la invocación
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### invokeRemoteHomeMethod

    public static java.lang.Object invokeRemoteHomeMethod(javax.ejb.EJBHome home,
                                                          java.lang.String methodName,
                                                          java.lang.Class[] argsTypes,
                                                          java.lang.Object[] argsValues)
                                                   throws java.lang.Throwable

  Invoca a un metodo del interfaz home remoto

  Parameters:
    `home` - Interfaz home remoto
    `methodName` - Nombre del metodo a invocar
    `argsTypes` - Array con los tipos (Class) de los argumentos del metodo create
    `argsValues` - Array con los valores de los argumentos del metodo create
  Returns:
    El objeto devuelto tras la invocación
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### invokeLocalMethod

    public static java.lang.Object invokeLocalMethod(javax.ejb.EJBLocalObject localObj,
                                                     java.lang.String methodName,
                                                     java.lang.Class[] argsTypes,
                                                     java.lang.Object[] argsValues)
                                              throws java.lang.Throwable

  Invoca a un metodo del interfaz local

  Parameters:
    `localObj` - Interfaz local
    `methodName` - Nombre del metodo a invocar
    `argsTypes` - Array con los tipos (Class) de los argumentos del metodo create
    `argsValues` - Array con los valores de los argumentos del metodo create
  Returns:
    El objeto devuelto tras la invocación
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

### invokeRemoteMethod

    public static java.lang.Object invokeRemoteMethod(javax.ejb.EJBObject remoteObj,
                                                      java.lang.String methodName,
                                                      java.lang.Class[] argsTypes,
                                                      java.lang.Object[] argsValues)
                                               throws java.lang.Throwable

  Invoca a un metodo del interfaz remoto del ejb

  Parameters:
    `remoteObj` - Interfaz remoto
    `methodName` - Nombre del metodo a invocar
    `argsTypes` - Array con los tipos (Class) de los argumentos del metodo create
    `argsValues` - Array con los valores de los argumentos del metodo create
  Returns:
    El objeto devuelto tras la invocación
  Throws:
    `java.lang.Throwable` - si la llamada al metodo falla

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD